Package org.apache.sling.servlets.post

# Klasse Modification

java.lang.Object
org.apache.sling.servlets.post.Modification

public class Modification extends Object

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`Modification(ModificationType type, String source, String destination)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`String`
`getDestination()`
`String`
`getSource()`
`ModificationType`
`getType()`
`protected static Modification`
`onChange(ModificationType type, String source)`
`protected static Modification`
`onChange(ModificationType type, String source, String dest)`
`static Modification`
`onCheckin(String path)`
`static Modification`
`onCheckout(String path)`
`static Modification`
`onCopied(String srcPath, String dstPath)`
Records a 'copied' change.
`static Modification`
`onCreated(String path)`
Records a 'created' change
`static Modification`
`onDeleted(String path)`
Records a 'deleted' change
`static Modification`
`onModified(String path)`
Records a 'modified' change
`static Modification`
`onMoved(String srcPath, String dstPath)`
Records a 'moved' change.
`static Modification`
`onOrder(String orderedPath, String beforeSibling)`
Records a 'order' change.
`static Modification`
`onRestore(String path, String version)`
`String`
`toString()`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Konstruktordetails

### Modification

public Modification(ModificationType type, String source, String destination)

## Methodendetails

### getType

public ModificationType getType()

### getSource

public String getSource()

### getDestination

public String getDestination()

### onModified

public static Modification onModified(String path)
Records a 'modified' change

Parameter:
  `path` - path of the item that was modified
Gibt zurück:
  the modification

### onCreated

public static Modification onCreated(String path)
Records a 'created' change

Parameter:
  `path` - path of the item that was created
Gibt zurück:
  the modification

### onDeleted

public static Modification onDeleted(String path)
Records a 'deleted' change

Parameter:
  `path` - path of the item that was deleted
Gibt zurück:
  the modification

### onMoved

public static Modification onMoved(String srcPath, String dstPath)
Records a 'moved' change.

Note: the moved change only records the basic move command. the implied changes on the moved properties and sub nodes are not recorded.

Parameter:
  `srcPath` - source path of the node that was moved
  `dstPath` - destination path of the node that was moved.
Gibt zurück:
  the modification

### onCopied

public static Modification onCopied(String srcPath, String dstPath)
Records a 'copied' change.

Note: the copy change only records the basic copy command. the implied changes on the copied properties and sub nodes are not recorded.

Parameter:
  `srcPath` - source path of the node that was copied
  `dstPath` - destination path of the node that was copied.
Gibt zurück:
  the modification

### onOrder

public static Modification onOrder(String orderedPath, String beforeSibling)
Records a 'order' change.

Parameter:
  `orderedPath` - Path of the node that was reordered
  `beforeSibling` - Name of the sibling node before which the source node has been inserted.
Gibt zurück:
  the modification

### onChange

protected static Modification onChange(ModificationType type, String source)

### onChange

protected static Modification onChange(ModificationType type, String source, String dest)

### onCheckin

public static Modification onCheckin(String path)

### onCheckout

public static Modification onCheckout(String path)

### onRestore

public static Modification onRestore(String path, String version)

### toString

public String toString()

Setzt außer Kraft:
  `toString` in Klasse `Object`